import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod") version "1.3-SNAPSHOT"
}

loom {
    accessWidenerPath.set(file("src/client/resources/slyde.accesswidener"))
}

repositories {
    maven("https://api.modrinth.com/maven")
}

dependencies {
    modCompileOnly("maven.modrinth:sodium:mc1.19.4-0.4.10")

    modImplementation("io.gitlab.jfronny.libjf:libjf-config-core-v1:${prop("libjf_version")}")

    // For testing in dev environment
    modLocalRuntime("net.fabricmc.fabric-api:fabric-api:0.75.3+1.19.4")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${prop("libjf_version")}")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-config-ui-tiny-v1:${prop("libjf_version")}")
    modLocalRuntime("com.terraformersmc:modmenu:6.1.0-rc.1")
}
